Bug 230874 - net-mgmt/py-ncclient: Update to 0.6.2
Summary: net-mgmt/py-ncclient: Update to 0.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: easy, patch, patch-ready
Depends on: 230873
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-24 23:52 UTC by John W. O'Brien
Modified: 2018-09-21 21:40 UTC (History)
4 users (show)

See Also:
sergey: maintainer-feedback+


Attachments
net-mgmt/py-ncclient: Update to 0.6.2 (1.18 KB, text/plain)
2018-08-24 23:52 UTC, John W. O'Brien
no flags Details
net-mgmt/py-ncclient: Update to 0.6.2 (1.22 KB, patch)
2018-08-25 02:33 UTC, John W. O'Brien
no flags Details | Diff
net-mgmt/py-ncclient: Update to 0.6.2 (1.22 KB, patch)
2018-08-25 02:37 UTC, John W. O'Brien
john: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2018-08-24 23:52:58 UTC
Created attachment 196510 [details]
net-mgmt/py-ncclient: Update to 0.6.2

Changelog
=========

*   Update to 0.6.2
*   Add conditional RUN_DEPENDS on devel/py-selectors2


QA
==

portlint: OK
poudriere: OK -- testport on 11.2-RELEASE amd64 w/py27 (default), py34, py35, py36, py37
Comment 1 Tobias Kortkamp freebsd_committer 2018-08-25 01:02:49 UTC
Comment on attachment 196510 [details]
net-mgmt/py-ncclient: Update to 0.6.2

+.include <bsd.port.pre.mk>
+
+.if ${PYTHON_REL} < 3400
+RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}selectors2>=2.0.1:devel/py-selectors2@${PY_FLAVOR}
+.endif
+
+.include <bsd.port.post.mk>

Please use a flavors helper for this instead:

py27_RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}selectors2>=2.0.1:devel/py-selectors2@${PY_FLAVOR}
Comment 2 John W. O'Brien 2018-08-25 02:33:34 UTC
Created attachment 196515 [details]
net-mgmt/py-ncclient: Update to 0.6.2

Per tobik@'s request, set RUN_DEPENDS based on FLAVOR, not on PYTHON_REL as dictated by upstream.
Comment 3 John W. O'Brien 2018-08-25 02:37:26 UTC
Created attachment 196517 [details]
net-mgmt/py-ncclient: Update to 0.6.2

I neglected to set "Obsoletes" last time, and there appears to be no way to do that after the fact. Therefore I am posting the revised patch again because it's the only way I can easily find to set things right.
Comment 4 Tobias Kortkamp freebsd_committer 2018-08-25 02:43:17 UTC
(In reply to John W. O'Brien from comment #2)
Thank you.

(In reply to John W. O'Brien from comment #3)
There is a way, but it's insane.  Click on "Details" next to
the attachment, then "edit details" in the title, check "obsolete",
and then click submit.
Comment 5 Wen Heping freebsd_committer 2018-08-31 02:37:39 UTC
Build error on my poudriere:

[00:00:00] Creating the reference jail... done
[00:00:01] Mounting system devices for 104i386-wen
[00:00:01] Mounting ports/packages/distfiles
[00:00:01] Stashing existing package repository
[00:00:01] Mounting packages from: /usr/local/poudriere/data/packages/104i386-wen
/etc/resolv.conf -> /usr/local/poudriere/data/.m/104i386-wen/ref/etc/resolv.conf
[00:00:02] Starting jail 104i386-wen
[00:00:04] Ports supports: FLAVORS SELECTED_OPTIONS
[00:00:05] Error: net-mgmt/py-ncclient depends on nonexistent origin 'devel/py-selectors2' (moved to ); Please contact maintainer of the port to fix this.
[00:00:05] Error: Error processing dependencies
[00:00:05] Cleaning up
[00:00:05] Unmounting file systems
Comment 6 Sergey Akhmatov 2018-08-31 06:32:12 UTC
(In reply to Wen Heping from comment #5)
See "depends on"
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=230873
Comment 7 Mateusz Piotrowski freebsd_committer 2018-09-16 17:24:34 UTC
I'll take that.
Comment 8 Mateusz Piotrowski freebsd_committer 2018-09-18 22:32:18 UTC
Differential revision: https://reviews.freebsd.org/D17231
Comment 9 commit-hook freebsd_committer 2018-09-21 21:39:39 UTC
A commit references this bug:

Author: 0mp
Date: Fri Sep 21 21:38:55 UTC 2018
New revision: 480314
URL: https://svnweb.freebsd.org/changeset/ports/480314

Log:
  net-mgmt/py-ncclient: Update to 0.6.2.

  - Add conditional RUN_DEPENDS on devel/py-selectors2.

  PR:		230874
  Submitted by:	John W. O'Brien <john@saltant.com>
  Reviewed by:	Sergey Akhmatov <sergey@akhmatov.ru> (maintainer)
  Reviewed by:	tobik (previous version)
  Reviewed by:	wen
  Approved by:	mat (mentor)
  Approved by:	Sergey Akhmatov <sergey@akhmatov.ru> (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D17231

Changes:
  head/net-mgmt/py-ncclient/Makefile
  head/net-mgmt/py-ncclient/distinfo
Comment 10 Mateusz Piotrowski freebsd_committer 2018-09-21 21:40:17 UTC
Thank you for your contribution to this PR!